<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.InstallXzydDownloadMapper">

    <select id="getSynReqId" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar" resultType="com.zfire.jiasm.syncdata.plus.entity.ItfTblAzAssignXzydDownload">
        select max(syn_req_id) as syn_req_id
        from itf_tbl_az_assign_xzyd_download where download_task_no =  #{request.orderNo}
    </select>


    <update id="updateSynStatus" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar">
        update itf_tbl_az_assign_xzyd_download set syn_status = 1
        where download_task_no = #{request.orderNo}  and syn_status = 0
    </update>


</mapper>
